# getRegisteredScope abstract method

PodScope? getRegisteredScope(

1. String scopeName

)

Retrieves a registered scope by name.

## Usage Example:

    final requestScope = factory.getRegisteredScope('request');
    if (requestScope != null) {
      await requestScope.destroy();
    }

@param scopeName The name of the scope to retrieve @return The registered scope or null if not found

## Implementation

    PodScope? getRegisteredScope(String scopeName);